> ## Documentation Index
> Fetch the complete documentation index at: https://docs.booper.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Schedule

> This endpoint retrieves a user schedule

### Path

**schedule\_id** `string` *required*

The schedule ID.

### Headers

**Authorization** `string`

API key

```bash cURL theme={null}
curl 'https://scheduler.booper.dev/api/schedules/be930087-25b6-4227-ac9e-57048ba3bda0' \
--header 'Authorization: Bearer sk_public_20230921'
```

```bash CLI theme={null}
npx @booper/cli schedules get be930087-25b6-4227-ac9e-57048ba3bda0
```

```json Response theme={null}
{
  "data": {
    "id": "be930087-25b6-4227-ac9e-57048ba3bda0",
    "name": null,
    "description": null,
    "inserted_at": "2023-08-27T02:11:19",
    "disabled_at": null,
    "user_id": "bd2aa099-6eb7-4dbb-9178-32141def1355"
    "frequency": {
      "repeat_every": [2, "minutes"]
    },
    "args": {
      "body": {
        "channel": "toast",
        "content": "Hello world!"
      },
      "headers": {},
      "method": "post",
      "repeat_every": [2, "minutes"],
      "schedule_in": [30, "seconds"],
      "url": "https://scheduler.booper.dev/api/broadcast"
    }
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.